generic
    type T_Elemento is private;
    
package Colas is
    type Cola(Tamao:Positive:=100) is private;
    
    procedure Insertar(C: in out Cola;E: in T_Elemento);
    procedure Extraer(C: in out Cola);
    function  Examinar(C: in Cola) return T_Elemento;
    function  Es_Vaca(C: in Cola) return Boolean;
private
    type Vector is array(Positive range <>) of T_Elemento;
    type Cola(Tamao:Positive:=100) is record
        Elementos: Vector(1..Tamao);
        Final    : Natural := 0;
    end record;
end Colas;

        
        
