package body Grafos_Simples.Costes is

	procedure Conectar(G: in out Grafo_Costes;
					   I, J: in Positive;
					   Coste: Natural) is
	begin
		Conectar(Grafo(G),I,J);
		G.Costes(I,J) := Coste;
		if G.Clase = NO_ORIENTADO THEN
			G.Costes(J,I) := Coste;
		end if;
	end Conectar;

	function Coste(G: in Grafo_Costes;
				   I, J: in Positive) return Natural is
	begin
		if Conectados(G,I,J) then
			return G.Costes(I,J);
		else
			return Natural'Last; -- "infinito"
		end if;
   	end Coste;

end Grafos_simples.Costes;

